package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.HashMap;

public class ElectricEnergyDataObject extends ADataObject {
	static final String ENERGY_KEY = "energy";
	static final String POWER_KEY = "power";
	static final String TABLE_NAME = "ElectricEnergy";
	
	public ElectricEnergyDataObject(LocalDateTime timestamp, String name, double energy, double power) {
		super(timestamp, name);
		HashMap<String, Object> values = new HashMap<String, Object>();
		values.put(ENERGY_KEY, energy);
		values.put(POWER_KEY, power);
		setValues(values);
	}
	
	@Override
	public String getTableName() {
		return TABLE_NAME;
	}
}
